## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenMeshSkeletonBone Struct Reference
[Mesh plugins, Mesh plugins]

Inheritance diagram for iGenMeshSkeletonBone:

[legend]
List of all members.

## Public Member Functions

virtual iGenMeshSkeletonBone * | FindChild (const char *name)=0
| Get child bone by name.
virtual iGenMeshSkeletonBone * | GetChild (int i)=0
| Get child bone by id.
virtual int | GetChildrenCount ()=0
| Get number of bones attached to this bone.
virtual csReversibleTransform & | GetFullTransform ()=0
| Get bone triansformation in model coordsys.
virtual csBoneTransformMode | GetMode ()=0
| Get bone transform mode.
virtual const char * | GetName () const =0
| Get bone name.
virtual iGenMeshSkeletonBone * | GetParent ()=0
| Get bone parent.
virtual iRigidBody * | GetRigidBody ()=0
| Get attached rigid body.
virtual void | GetSkinBox (csBox3 &box, csVector3 &center)=0
| Get bounding box of vertices attached to bone.
virtual csReversibleTransform & | GetTransform ()=0
| Get bone triansformation in local coordsys of parent.
virtual iGenMeshSkeletonBoneUpdateCallback * | GetUpdateCallback ()=0
| Get bone callback fuction.
virtual void | SetMode (csBoneTransformMode mode)=0
| Set bone transform mode BM_SCRIPT - by script instructions BM_PHYSICS - by attached rigid body BM_NONE - free bone transform default is BM_SCRIPT.
virtual void | SetName (const char *name)=0
| Set bone name.
virtual void | SetRigidBody (iRigidBody *r_body, csReversibleTransform &offset_transform)=0
| Attach rigid body to bone.
virtual void | SetTransform (const csReversibleTransform &transform)=0
| Set bone triansformation in local coordsys of parent.
virtual void | SetUpdateCallback (iGenMeshSkeletonBoneUpdateCallback *callback)=0
| Set bone callback fuction.

## Detailed Description

Definition at line 178 of file gmeshskel.h.

## Member Function Documentation

virtual iGenMeshSkeletonBone* iGenMeshSkeletonBone::FindChild | ( | const char * | name | ) | `[pure virtual]`

| Get child bone by name.

virtual iGenMeshSkeletonBone* iGenMeshSkeletonBone::GetChild | ( | int | i | ) | `[pure virtual]`

| Get child bone by id.

virtual int iGenMeshSkeletonBone::GetChildrenCount | ( |  | ) | `[pure virtual]`

| Get number of bones attached to this bone.

virtual csReversibleTransform& iGenMeshSkeletonBone::GetFullTransform | ( |  | ) | `[pure virtual]`

| Get bone triansformation in model coordsys.

virtual csBoneTransformMode iGenMeshSkeletonBone::GetMode | ( |  | ) | `[pure virtual]`

| Get bone transform mode.

virtual const char* iGenMeshSkeletonBone::GetName | ( |  | ) | const`[pure virtual]`

| Get bone name.

virtual iGenMeshSkeletonBone* iGenMeshSkeletonBone::GetParent | ( |  | ) | `[pure virtual]`

| Get bone parent.

virtual iRigidBody* iGenMeshSkeletonBone::GetRigidBody | ( |  | ) | `[pure virtual]`

| Get attached rigid body.

virtual void iGenMeshSkeletonBone::GetSkinBox | ( | csBox3 & | box,
|  | csVector3 & | center
| ) | `[pure virtual]`

| Get bounding box of vertices attached to bone. This is very usable if you want to create rigid body or collider.

virtual csReversibleTransform& iGenMeshSkeletonBone::GetTransform | ( |  | ) | `[pure virtual]`

| Get bone triansformation in local coordsys of parent.

virtual iGenMeshSkeletonBoneUpdateCallback* iGenMeshSkeletonBone::GetUpdateCallback | ( |  | ) | `[pure virtual]`

| Get bone callback fuction.

virtual void iGenMeshSkeletonBone::SetMode | ( | csBoneTransformMode | mode | ) | `[pure virtual]`

| Set bone transform mode BM_SCRIPT - by script instructions BM_PHYSICS - by attached rigid body BM_NONE - free bone transform default is BM_SCRIPT.

virtual void iGenMeshSkeletonBone::SetName | ( | const char * | name | ) | `[pure virtual]`

| Set bone name.

virtual void iGenMeshSkeletonBone::SetRigidBody | ( | iRigidBody * | r_body,
|  | csReversibleTransform & | offset_transform
| ) | `[pure virtual]`

| Attach rigid body to bone.

virtual void iGenMeshSkeletonBone::SetTransform | ( | const csReversibleTransform & | transform | ) | `[pure virtual]`

| Set bone triansformation in local coordsys of parent.

virtual void iGenMeshSkeletonBone::SetUpdateCallback | ( | iGenMeshSkeletonBoneUpdateCallback * | callback | ) | `[pure virtual]`

| Set bone callback fuction.

The documentation for this struct was generated from the following file:

- imesh/gmeshskel.h